Skip to main content
GET
/
api
/
v1
/
credits
/
transactions
List AI credit transactions
curl --request GET \
  --url https://api.railmail.app/api/v1/credits/transactions \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "amount": 123,
      "balanceAfter": 123,
      "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "size": 123,
    "totalElements": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrevious": true
  }
}

Authorizations

X-API-Key
string
header
required

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Query Parameters

page
integer
default:0

Zero-based page index.

Required range: x >= 0
size
integer
default:20

Page size, clamped to a maximum of 100.

Required range: 1 <= x <= 100

Response

Paginated transactions

data
object[]
pagination
object